cURL
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/table \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"name": "<string>",
"dbTableName": "<string>",
"description": "<string>",
"icon": "<string>",
"order": 123,
"lastModifiedTime": "<string>",
"defaultViewId": "<string>"
}
]table
List tables
Retrieve a list of all tables in the specified base, including their basic information and configurations.
GET
/
base
/
{baseId}
/
table
cURL
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/table \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"name": "<string>",
"dbTableName": "<string>",
"description": "<string>",
"icon": "<string>",
"order": 123,
"lastModifiedTime": "<string>",
"defaultViewId": "<string>"
}
]授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
响应
200 - application/json
Successfully retrieved the list of tables.
The id of table.
The name of the table.
Table name in backend database. Limitation: 1-63 characters, start with letter, can only contain letters, numbers and underscore, case insensitive, cannot be duplicated with existing db table name in the base.
Pattern:
^[a-z]\w{0,62}$/iThe description of the table.
The emoji icon string of the table.
The last modified time of the table.
The default view id of the table.
最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

